package cn.com.victorysoft.business.constant;

import java.util.HashMap;
import java.util.Map;

public class UnitColumn {
    public final static String GROUP_COLUMN = "UNITCODE_GROUP";
    public final static String COMPANY_COLUMN = "UNITCODE_COMPANY";
    public final static String AREA_COLUMN = "UNITCODE_AREA";
    public final static String STATION_COLUMN = "UNITCODE";

    public final static Map<Integer, String> levelToColumn = new HashMap<>(4);

    static {
        levelToColumn.put(UnitLevel.GROUP_LEVEL, GROUP_COLUMN);
        levelToColumn.put(UnitLevel.COMPANY_LEVEL, COMPANY_COLUMN);
        levelToColumn.put(UnitLevel.AREA_LEVEL, AREA_COLUMN);
        levelToColumn.put(UnitLevel.STATION_LEVEL, STATION_COLUMN);
    }
}
